@import url("https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap");
:root {
  --purple-color: #74069b;
  --blue-color: #001c72;
}

.select2 {
  border: solid rgb(177, 165, 165) 1px;
}

.select2 .selection .select2-selection__arrow b::after {
  content: "\f282";
  position: absolute;
  font-family: bootstrap-icons !important;
  right: 10px;
  top: 0;
}

.sidebar.sidebar-backdrop {
  width: calc(100vw - 250px);
  z-index: 0;
  left: 250px;
  height: 100vh;
  box-shadow: none;
  display: none;
}

.sidebar.sidebar-backdrop.closeSidebar {
  z-index: 10;
  display: block;
}

.bg-card-sales {
  background-color: #7c399643 !important;
  background-image: unset !important;
  display: flex !important;
  align-items: center !important;
  border-bottom: 1px solid #7b3996 !important;
}

.bg-card-sales .text-light {
  font-size: 12px !important;
}

.bg-card-s-left {
  color: #7b3996 !important;
}

.bg-card-s-left span {
  color: #7b3996 !important;
}

.bg-card-s-right span {
  color: white !important;
}

.bg-card-sales .badge {
  font-size: 12px !important;
  margin-left: auto !important;
  background-color: #7b3996 !important;
}

.bg-card-sales .badge span {
  font-weight: 600 !important;
  background-color: #7b3996 !important;
}

.bg-purple{
  background-color: #7c3996;
}

.btn-purple {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
}

.btn-purple:hover {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
}

.btn-check:focus + .btn-purple,
.btn-purple:focus {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 0 0.25rem rgba(135, 87, 237, 0.5);
}

.btn-check:checked + .btn-purple,
.btn-check:active + .btn-purple,
.btn-purple:active,
.btn-purple.active,
.show > .btn-purple.dropdown-toggle {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
}

.btn-check:checked + .btn-purple:focus,
.btn-check:active + .btn-purple:focus,
.btn-purple:active:focus,
.btn-purple.active:focus,
.show > .btn-purple.dropdown-toggle:focus {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125), 0 0 0 0.25rem rgba(135, 87, 237, 0.5);
}

.btn-purple:disabled,
.btn-purple.disabled {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
}

.add-new-address-button {
  width: 100%;
  border: 2px dashed #ced4da;
  margin-top: 10px;
  font-size: 14px;
  padding: 0.3rem 0.5rem;
  background-color: #f6feff;
  color: #00838f;
  font-weight: 400;
  border-radius: 8px;
  text-align: center;
  margin-right: auto;
}

.add-new-address-button span {
  color: #00838f;
}

.add-new-address-button:hover {
  border: 2px solid #00838f;
  background-color: #00838f;
}

.add-new-address-button:hover span {
  color: var(--bs-light);
}

.select2-container .select2-selection--single .select2-selection__rendered {
  padding-right: 30px;
}

/***************/

.btn-outline-purple {
  color: #7c3996;
  border-color: #7c3996;
}

.btn-outline-purple:hover {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
}

.btn-check:focus + .btn-outline-purple,
.btn-outline-purple:focus {
  box-shadow: 0 0 0 0.25rem rgba(234, 57, 205, 0.5);
}

.btn-check:checked + .btn-outline-purple,
.btn-check:active + .btn-outline-purple,
.btn-outline-purple:active,
.btn-outline-purple.active,
.btn-outline-purple.dropdown-toggle.show {
  color: #ffffff;
  background-color: #7c3996;
  border-color: #7c3996;
}

.btn-check:checked + .btn-outline-purple:focus,
.btn-check:active + .btn-outline-purple:focus,
.btn-outline-purple:active:focus,
.btn-outline-purple.active:focus,
.btn-outline-purple.dropdown-toggle.show:focus {
  box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125), 0 0 0 0.25rem rgba(114, 57, 234, 0.5);
}

.btn-outline-purple:disabled,
.btn-outline-purple.disabled {
  color: #7c3996;
  background-color: transparent;
}

.text-purple {
  color: #7c3996 !important;
}

.text-blue {
  color: #00177b !important;
}
/***************/

.navbar-logo {
  max-width: 220px;
  margin-top: auto;
  margin-bottom: auto;
}
.nav-bottom {
  position: absolute;
  width: 100%;
  background-color: white;
  border-top: 1px solid #e5e8f0;
  top: 70px;
  padding: 8px 1rem;
  box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
}
.nav-bottom-container {
  display: flex;
  align-items: center;
  column-gap: 20px;
  justify-content: space-between;
}
#navbar-search {
  max-width: 550px;
}
.nav-bottom-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 5px;
  font-size: 15px;
  font-weight: 400;
  width: fit-content;
  background-color: #7d3996;
  color: white;
  padding: 4px 10px;
  border-radius: 5px;
}
.nav-bottom-btn i {
  font-size: 18px;
  position: relative;
  top: 1px;
  color: white;
}
.nav-bottom-btn:hover {
  cursor: pointer;
  transition: all 0.3s;
  opacity: 0.7;
}
.nav-bottom-left {
  display: flex;
  align-items: center;
  column-gap: 10px;
  min-width: 240px;
}
.nav-bottom-list {
  display: flex;
  align-items: center;
  column-gap: 15px;
  list-style-type: none;
  padding-left: 0px;
  margin-bottom: 0px;
}
.nav-bottom-list-item {
  font-size: 15px;
  font-weight: 400;
  color: #7d3996;
}
.nav-bottom-center {
  display: flex;
  align-items: center;
  column-gap: 15px;
  padding: 0px 8px;
  height: 48px;
  margin-top: auto;
  margin-bottom: auto;
  border-radius: 10px;
  background-color: #f7f7f7;
}
.nav-bottom-sales {
  display: flex;
  align-items: center;
  column-gap: 5px;
}

.nav-bottom-sales-text {
  font-size: 14px;
  white-space: nowrap;
}
.nav-bottom-total {
  font-size: 14px;
  display: flex;
  align-items: center;
  column-gap: 10px;
}
.nav-bottom-total-l {
  border-right: 1px solid #c5c6ca;
  padding-right: 10px;
}
.nav-bottom-right {
  min-width: 240px;
}
#content-wrapper {
  margin-top: 100px;
}
@media (max-width: 768px) {
  #content-wrapper {
    margin-top: 142px;
  }
}
#content-wrapper .container-fluid,
#content-wrapper .container-sm,
#content-wrapper .container-md,
#content-wrapper .container-lg,
#content-wrapper .container-xl,
#content-wrapper .container-xxl {
  padding-top: 10px;
}
header .search .form-control::placeholder {
  font-size: 15px;
}
header .search .form-control {
  width: 100%;
  border-radius: 8px 0 0 8px;
  height: 40px;
  font-family: "Rubik", sans-serif;
  font-size: 17px;
  font-weight: 400;
  border: 1px solid var(--border-color);
}
header .search button#search-input-button {
  height: 40px;
  width: 40px;
  border-radius: 0 8px 8px 0 !important;
  background: var(--primary);
  position: relative;
  left: -2px;
}
header .search button#search-input-button i {
  font-size: 18px;
  background: transparent;
  color: #e5e5e5;
  font-weight: 600;
}
button.search-input-button {
  height: 40px;
  width: 40px;
  border-radius: 0 8px 8px 0;
  background: var(--primary);
  position: relative;
  left: -2px;
}
button.search-input-button i {
  font-size: 17px;
  background: transparent;
  color: #e5e5e5;
  font-weight: 600;
}
.sidebar {
  transform: unset !important;
  left: -100% !important;
  transition: 0.5s;
  position: fixed !important;
  height: calc(100vh - 122px) !important;
  min-height: unset !important;
  width: 300px;
  min-width: 300px;
}
.closeSidebar {
  position: relative;
  transform: translateX(0px) !important;
  transition: 0.5s;
  opacity: 1;
  left: 0% !important;
}
.sidebar-backdrop {
  width: calc(100% - 250px) !important;
  right: 0px !important;
  height: calc(100vh - 122px) !important;
  min-width: unset !important;
  left: unset !important;
  right: -100% !important;
}
.sidebar-backdrop.closeSidebar {
  right: 0px !important;
}
#content-wrapper .container-fluid,
#content-wrapper .container-sm,
#content-wrapper .container-md,
#content-wrapper .container-lg,
#content-wrapper .container-xl,
#content-wrapper .container-xxl {
  max-width: unset !important;
}
.sidebar #navbarNav li a p {
  font-weight: 400 !important;
  font-size: 15px !important;
  line-height: 15px !important;
}
.sidebar #navbarNav li {
  border-bottom: 1px solid #8080801c !important;
}
.menu-item-left i {
  font-size: 15px !important;
}
.navbar-item-flex {
  display: flex;
  align-items: center;
  column-gap: 15px;
}
.navbar-item-login-btn {
  border: 1px solid #7c3996;
  color: #7c3996;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 15px;
  font-weight: 500;
  padding: 5px 11px;
  border-radius: 5px;
  transition: all 0.3s;
  white-space: nowrap;
}
.navbar-item-login-btn:hover {
  opacity: 0.6;
  color: #7c3996 !important;
}
.navbar-item-register-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  column-gap: 5px;
  font-size: 15px;
  font-weight: 500;
  width: fit-content;
  background-color: #7d3996;
  color: white;
  padding: 5px 11px;
  border-radius: 5px;
  transition: all 0.3s;
  white-space: nowrap;
}
.navbar-item-register-btn:hover {
  opacity: 0.6;
  color: white !important;
}
.navbar-item-dropdown {
  background-color: transparent !important;
}
.navbar-item-dropdown .dropdown-toggle {
  max-width: 60px;
  min-width: 60px;
}
.navbar-item-dropdown .dropdown-toggle::after {
  display: inline-block !important;
}
.navbar-item-dropdown .dropdown-toggle:hover {
  color: black !important;
}
.navbar-item-dropdown .dropdown-menu {
  min-width: unset !important;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}
.navbar-item-dropdown .dropdown-menu li {
  width: 100%;
  padding: 6px 0px;
  text-align: center;
}
.navbar-item-dropdown .dropdown-menu li:last-child {
  border-top: 1px solid #e5e8f0;
}
.navbar-item-dropdown .dropdown-menu li img {
  width: 30px;
}
.auth-bg {
  background-color: white;
}
#wrapperr {
  display: none !important;
}
/*AUTH PAGE*/
.auth-content-bg {
  min-height: 100vh;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.auth-content-logo {
  max-width: 300px;
  margin-left: auto;
  margin-right: auto;
}
.auth-content-card {
  background-color: white;
  box-shadow: 0 0px 12px rgba(0, 0, 0, 0.08);
  border-radius: 15px;
  border: 1px solid #e5e8f0;
  padding: 35px 35px;
}
.auth-content-logo {
  margin-bottom: 30px;
}
.auth-content-body {
  min-width: 350px;
}
.auth-label {
  font-size: 15px !important;
  font-weight: 400 !important;
  color: #262d3d !important;
  margin-bottom: 5px !important;
}
.auth-content-body .input_widget {
  margin-top: 15px !important;
}

.auth-content-register {
  max-width: 1200px;
  margin-top: 25px;
  margin-bottom: 45px;
  margin-left: auto;
  margin-right: auto;
}
.login-page-wrapper label {
  font-weight: 500 !important;
  margin-bottom: 5px !important;
  font-size: 15px !important;
}
.register-page-wrapper label {
  font-weight: 500 !important;
  margin-bottom: 5px !important;
  font-size: 15px !important;
}
.sidebar {
  top: 120px !important;
}
.main-page-top {
  margin-top: 0px !important;
}
.shopping-basket .dropdown-menu {
  height: calc(100vh - 122px) !important;
  min-height: unset !important;
}
#home-page-content {
  padding: 0px !important;
}
.btn-purple-st {
  background-color: var(--purple-color);
  color: white;
  font-size: 16px;
  padding: 14px 30px;
  border-radius: 12px;
  text-transform: uppercase;
  font-weight: 500;
  transition: all 0.3s;
}
.btn-purple-st:hover {
  color: white !important;
  opacity: 0.7;
}
.sub-no-active-head {
  font-size: 30px;
  font-weight: 400;
  color: black;
}
.sub-no-active-small {
  font-size: 20px;
  font-weight: 400;
  color: black;
  margin-bottom: 25px;
}
.content-body {
  background-color: white !important;
}
.payment-tab-min-h {
  min-height: 70vh;
}
.credit-card-bg {
  display: grid;
  grid-template-columns: repeat(6, minmax(0, 1fr));
  column-gap: 25px;
  min-height: calc(100vh - 122px);
  background-color: #f8f9fc;
  max-width: 1400px;
  margin-left: auto;
  margin-right: auto;
  padding: 20px;
}
.credit-card-left {
  grid-column: span 4 / span 4;
  padding-top: 30px;
}
.credit-card-right {
  padding: 20px;
  grid-column: span 2 / span 2;
  background-color: white;
  border-radius: 20px;
  padding: 20px;
  height: fit-content;
  margin-top: 30px;
}
.credit-card-left-content {
  background-color: white;
  border-radius: 15px;
  padding: 30px;
}
.credit-card-left-head {
  font-size: 20px;
  font-weight: 450;
  color: black;
}
.credit-card-left-small-head {
  font-size: 16px;
  font-weight: 300;
  color: rgb(158, 158, 158);
  margin-top: -3px;
  margin-bottom: 20px;
}
.credit-card-select-bg {
  background-color: #f3f3f3;
  border: 1px solid rgb(222 222 222);
  width: 100%;
  border-radius: 10px;
  padding: 5px 0px;
  margin-top: 15px;
}
.credit-card-select-bg label {
  font-size: 15px;
  font-weight: 400;
  color: black;
  text-decoration: none;
}
.credit-card-select-header {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: unset !important;
  border-bottom: 0px solid !important;
}
.credit-card-select-img {
  max-width: 200px;
}
.credit-card-form {
  border-top: 1px solid rgb(222 222 222);
  width: 100%;
  padding-top: 15px;
}
.credit-card-form label {
  color: black !important;
  font-weight: 400 !important;
}
.credit-card-form-alt {
  width: 100%;
  display: flex;
  align-items: center;
  column-gap: 15px;
  margin-top: 10px;
}
.credit-card-form-alt > div:nth-child(1) {
  width: 60%;
}
.credit-card-form-alt > div:nth-child(2) {
  width: 20%;
}
.credit-card-form-alt > div:nth-child(3) {
  width: 20%;
}
.credit-card-select-alt-btn {
  width: 100%;
  margin-top: 25px;
}
.credit-card-select-alt-btn input {
  width: 100%;
  background-color: var(--purple-color);
  border: none;
  color: white;
  height: 44px;
  font-weight: 400;
  border-radius: 12px !important;
}
.credit-card-select-alt-option {
  margin-top: 15px;
}
.credit-card-select-alt-option .input_widget {
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
  column-gap: 10px;
}
.credit-card-select-alt-option label {
  font-weight: 400 !important;
  color: black !important;
  order: 2;
}
.card-saved-bg {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.credit-card-right h2 {
  font-size: 20px !important;
}
.credit-card-option-bg {
  display: flex;
  align-items: center;
  justify-content: left;
  column-gap: 10px;
}
.credit-card-option-bg-text {
  font-size: 14px;
  text-align: left;
  margin-bottom: 10px;
}
.credit-card-option-bg{
  font-size: 14px;
}
.credit-card-option-bg a{
  font-size: 14px;
  color: var(--purple-color);
}
.credit-card-static {
  display: flex;
  align-items: center;
  column-gap: 10px;
  margin-bottom: 10px;
  font-size: 16px;
  justify-content: space-between;
  border-bottom: 1px solid #e2e2e2;
  padding-bottom: 10px;
}
.credit-card-static-bg > .credit-card-static:last-child {
  border-color: transparent !important;
}
.credit-card-static-right {
  display: flex;
  align-items: center;
  column-gap: 10px;
}
.credit-card-static .bold {
  font-weight: 600;
  font-size: 16px;
}
.credit-card-static .line {
  font-size: 16px;
  text-decoration: line-through;
}
.credit-card-static-alt {
  font-size: 16px;
}
.credit-card-static-v2 .credit-card-static {
  border-bottom: 0px !important;
}
.credit-card-static-v2 > .credit-card-static:last-child {
  border-top: 1px solid #e2e2e2 !important;
  padding-top: 10px;
}
.credit-card-static-v2 .credit-card-static {
  padding-bottom: 0px;
}
@media (max-width: 992px) {
  .credit-card-left {
    grid-column: span 6 / span 6;
  }
  .credit-card-right {
    grid-column: span 6 / span 6;
    margin-top: 10px;
  }
  .credit-card-left-content {
    padding: 10px;
  }
  .credit-card-select-bg label {
    padding: 10px;
  }
  .credit-card-bg {
    padding: 10px;
  }
  #navbar-search {
    position: unset;
    left: 0px;
    max-width: unset !important;
  }
  .credit-card-select-bg label {
    text-align: left;
  }
}
@media (max-width: 768px) {
  .credit-card-option-bg {
    display: block;
    text-align: left;
  }
  .credit-card-option-bg a {
    font-size: 14px;
    color: var(--purple-color);
  }
  .credit-card-option-bg-text {
    margin-bottom: 10px;
  }
  .main-page-top {
    margin-top: 0px !important;
  }
  .sidebar {
    top: 0px !important;
  }

  .navbar-item-bg {
    position: absolute;
    width: 100%;
    background-color: white;
    border-top: 1px solid #e5e8f0;
    top: 119px;
    padding: 8px 1rem;
    box-shadow: 0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1);
  }
  .navbar-item-login-btn {
    font-size: 14px;
    padding: 0px 11px;
    height: 32px;
  }
  .navbar-item-flex {
    justify-content: center;
  }
  .navbar-item-register-btn {
    font-size: 14px;
    padding: 0px 11px;
    height: 32px;
  }

  .sidebar {
    height: 100% !important;
  }
  .nav-bottom-left {
    display: none;
  }
  .nav-bottom-right {
    display: none;
  }
  .nav-bottom {
    display: none !important;
  }
  .nav-bottom-center {
    position: fixed;
    width: 100%;
    top: 119px;
    left: 0;
    border-radius: 0px;
    background-color: white;
    padding: 5px 1rem;
    border-top: 1px solid #eceded;
    border-bottom: 1px solid #eceded;
  }
  header .search {
    width: 100%;
  }
  header #navbar-search {
    padding: 9px 1rem !important;
    background-color: #ffffff !important;
    border-top: 1px solid #ebeded !important;
  }
  header .menu-icon {
    background: #7d3996 !important;
  }
}
@media (max-width: 576px) {
  .auth-content-body {
    width: 100%;
    min-width: unset;
  }
  .auth-content-card {
    padding: 35px 20px;
  }
}
/* New Desing Codeing End */

.product-swiper h2,
.content-header {
  background-color: #e4cded !important;
  color: #333333 !important;
}
.login-page-wrapper {
  justify-content: center;
  background-color: white !important;
  background-image: unset !important;
}
.register-page-wrapper {
  justify-content: center;
  background-color: white !important;
  background-image: unset !important;
}
.auth-content-register {
  background-color: unset !important;
  width: unset !important;
  overflow-x: unset !important;
}

.rounded-1rem {
  border-radius: 1rem !important;
}

#nav-wrapper .nav-link i {
  color: var(--text-color);
}